Get zone history
curl --request GET \
--url http://aris.local/api/zones/{zoneId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "http://aris.local/api/zones/{zoneId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://aris.local/api/zones/{zoneId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"zoneId": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"tempC": 123,
"tempHeatSetC": 123,
"tempCoolSetC": 123
}
],
"count": 123,
"warning": "<string>"
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}Zones
Get zone history
Returns historical temperature and setpoint data for a zone from VictoriaMetrics.
Use either start/end parameters (ISO 8601) or hours for relative time.
GET
/
api
/
zones
/
{zoneId}
/
history
Get zone history
Authorizations
Session token or API token
Path Parameters
Query Parameters
Start time (ISO 8601)
End time (ISO 8601, defaults to now)
Hours of history (used if start not provided)
Required range:
x >= 1⌘I

